Loading...
Searching...
No Matches
XrdCl::SocketHandler Class Referenceabstract

Interface. More...

`#include <XrdClPoller.hh>`

Inheritance diagram for XrdCl::SocketHandler:
Collaboration diagram for XrdCl::SocketHandler:

## Public Types

enum | EventType { ReadyToRead = 0x01 , ReadTimeOut = 0x02 , ReadyToWrite = 0x04 , WriteTimeOut = 0x08 }
| Event type. More...

## Public Member Functions

virtual | ~SocketHandler ()
virtual void | Event (uint8_t type, Socket *socket)=0
| Called when an event occurred on a given socket.
virtual void | Finalize ()
| Finalizer.
virtual void | Initialize (Poller *)
| Initializer.

## Static Public Member Functions

static std::string | EventTypeToString (uint8_t event)
| Translate the event type to a string.

## Detailed Description

Interface.

Definition at line 33 of file XrdClPoller.hh.

## Member Enumeration Documentation

## EventType

enum XrdCl::SocketHandler::EventType

Event type.

Enumerator
ReadyToRead | New data has arrived.
ReadTimeOut | Read timeout.
ReadyToWrite | Writing won't block.
WriteTimeOut | Write timeout.

Definition at line 39 of file XrdClPoller.hh.

{
ReadyToRead = 0x01,
ReadTimeOut = 0x02,
ReadyToWrite = 0x04,
WriteTimeOut = 0x08
};
XrdCl::SocketHandler::ReadTimeOut
@ ReadTimeOut
Read timeout.
Definition XrdClPoller.hh:42
XrdCl::SocketHandler::ReadyToWrite
@ ReadyToWrite
Writing won't block.
Definition XrdClPoller.hh:43
XrdCl::SocketHandler::WriteTimeOut
@ WriteTimeOut
Write timeout.
Definition XrdClPoller.hh:44
XrdCl::SocketHandler::ReadyToRead
@ ReadyToRead
New data has arrived.
Definition XrdClPoller.hh:41

## Constructor & Destructor Documentation

## ~SocketHandler()

virtual XrdCl::SocketHandler::~SocketHandler | ( |  | ) |

inline virtual

Definition at line 50 of file XrdClPoller.hh.

{}

## Member Function Documentation

## Event()

virtual void XrdCl::SocketHandler::Event | ( | uint8_t | type,
|  | Socket * | socket )

pure virtual

Called when an event occurred on a given socket.

Implemented in XrdCl::AsyncSocketHandler.

## EventTypeToString()

std::string XrdCl::SocketHandler::EventTypeToString | ( | uint8_t | event | ) |

inline static

Translate the event type to a string.

Definition at line 71 of file XrdClPoller.hh.

{
std::string ev;
if( event & ReadyToRead ) ev += "ReadyToRead|";
if( event & ReadTimeOut ) ev += "ReadTimeOut|";
if( event & ReadyToWrite ) ev += "ReadyToWrite|";
if( event & WriteTimeOut ) ev += "WriteTimeOut|";
ev.erase( ev.length()-1, 1) ;
return ev;
}

References ReadTimeOut, ReadyToRead, ReadyToWrite, and WriteTimeOut.

## Finalize()

virtual void XrdCl::SocketHandler::Finalize | ( |  | ) |

inline virtual

Finalizer.

Definition at line 60 of file XrdClPoller.hh.

{};

## Initialize()

virtual void XrdCl::SocketHandler::Initialize | ( | Poller * |  | ) |

inline virtual

Initializer.

Definition at line 55 of file XrdClPoller.hh.

{}

Referenced by XrdCl::PollerBuiltIn::AddSocket().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdClPoller.hh